## console-setup 1.226ubuntu1

=== Fonts/Makefile ===
fntdir ?= $(shell pwd)
include $(fntdir)/../rules.mk

# The following two shortcuts will be redefined, so they can not be
# used in recipes and target specific variables.
. := $(fntdir)
~ := fnt

Fixed13-BDFS := 8x13-IL2.bdf+8x13.bdf+8x13c.bdf
Fixed14-BDFS := georgian14.bdf+7x14-IL2.bdf+7x14.bdf+7x14c.bdf+h14.bdf+etl14-unicode.bdf
Fixed15-BDFS := 9x15-IL2.bdf+9x15.bdf+9x15c.bdf
Fixed16-BDFS := georgian16.bdf+unifont.bdf+h16.bdf+etl16-unicode.bdf
Fixed18-BDFS := 9x18.bdf
Fixed24x12-BDFS := h24.bdf+etl24-unicode.bdf

FixedBold13-BDFS := 8x13B.bdf+8x13Bc.bdf
FixedBold14-BDFS := h14_b.bdf+7x14B-IL2.bdf+7x14B.bdf+7x14c.bdf
FixedBold15-BDFS := 9x15B-IL2.bdf+9x15B.bdf+9x15Bc.bdf
FixedBold16-BDFS := h16_b.bdf
FixedBold18-BDFS := 9x18B.bdf
FixedBold24x12-BDFS := h24_b.bdf

# We have to complement 8x13O.bdf because it doesn't contain box drawings
FixedOblique13-BDFS := 8x13O.bdf+8x13.bdf

Terminus12x6-BDFS := ter-u12n.bdf
Terminus14-BDFS := ter-u14n.bdf
Terminus16-BDFS := ter-u16n.bdf
Terminus18x10-BDFS := ter-u18n.bdf
Terminus20x10-BDFS := ter-u20n.bdf
Terminus22x11-BDFS := ter-u22n.bdf
Terminus24x12-BDFS := ter-u24n.bdf
Terminus28x14-BDFS := ter-u28n.bdf
Terminus32x16-BDFS := ter-u32n.bdf
TerminusBold12x6-BDFS := ter-u12b.bdf
TerminusBold14-BDFS := ter-u14b.bdf
TerminusBold16-BDFS := ter-u16b.bdf
TerminusBold18x10-BDFS := ter-u18b.bdf
TerminusBold20x10-BDFS := ter-u20b.bdf
TerminusBold22x11-BDFS := ter-u22b.bdf
TerminusBold24x12-BDFS := ter-u24b.bdf
TerminusBold28x14-BDFS := ter-u28b.bdf
TerminusBold32x16-BDFS := ter-u32b.bdf
TerminusBoldVGA14-BDFS := ter-u14v.bdf
TerminusBoldVGA16-BDFS := ter-u16v.bdf

Courier13-BDFS := 75dpi-courR12-IL2.bdf+75dpi-courR12.bdf+75dpi-courR12c.bdf
Courier14-BDFS := 100dpi-courR10-IL2.bdf+100dpi-courR10.bdf
Courier15-BDFS := 75dpi-courR14-IL2.bdf+75dpi-courR14.bdf+75dpi-courR14c.bdf
Courier16-BDFS := 8x16c.bdf+8x16-IL2.bdf

CourierBold13-BDFS := 75dpi-courB12-IL2.bdf+75dpi-courB12.bdf+75dpi-courB12c.bdf
CourierBold14-BDFS := 100dpi-courB10-IL2.bdf+100dpi-courB10.bdf
CourierBold15-BDFS := 75dpi-courB14-IL2.bdf+75dpi-courB14.bdf+75dpi-courB14c.bdf

Lucid12-BDFS := 100dpi-lutRS08-IL2.bdf+100dpi-lutRS08.bdf
Lucid13-BDFS := 75dpi-lutRS12-IL2.bdf+75dpi-lutRS12.bdf+75dpi-lutRS12c.bdf
Lucid15-BDFS := 75dpi-lutRS14-IL2.bdf+75dpi-lutRS14.bdf+75dpi-lutRS14c.bdf
Lucid16-BDFS := 100dpi-lutRS10-IL2.bdf+100dpi-lutRS10.bdf
Lucid22x12-BDFS := 100dpi-lutRS14-IL2.bdf+100dpi-lutRS14.bdf
Lucid29x16-BDFS := 100dpi-lutRS19.bdf

LucidBold11-BDFS := 100dpi-lutBS08-IL2.bdf+100dpi-lutBS08.bdf
LucidBold13-BDFS := 75dpi-lutBS12-IL2.bdf+75dpi-lutBS12.bdf+75dpi-lutBS12c.bdf
LucidBold15-BDFS := 75dpi-lutBS14-IL2.bdf+75dpi-lutBS14.bdf+75dpi-lutBS14c.bdf
LucidBold16-BDFS := 100dpi-lutBS10-IL2.bdf+100dpi-lutBS10.bdf
LucidBold22x12-BDFS := 100dpi-lutBS14-IL2.bdf+100dpi-lutBS14.bdf
LucidBold29x16-BDFS := 100dpi-lutBS19.bdf

Goha12-BDFS := Goha12.bdf
Goha14-BDFS := Goha14.bdf
Goha16-BDFS := Goha16.bdf

GohaClassic12-BDFS := GohaClassic12.bdf
GohaClassic14-BDFS := GohaClassic14.bdf
GohaClassic16-BDFS := GohaClassic16.bdf

###################################################################

VGA8-CODESETS := Arabic CyrKoi CyrSlav FullCyrSlav Greek FullGreek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA10-CODESETS := Lat15 Lat2
VGA12-CODESETS := Lat15 Lat2
VGA14-CODESETS := Arabic CyrKoi CyrSlav FullCyrSlav Greek FullGreek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA16-CODESETS := Arabic CyrKoi CyrSlav FullCyrSlav Greek FullGreek Hebrew Lat15 Lat2 Lat38 Lat7 Uni1 Uni2
VGA19-CODESETS := Lat15

VGA28x16-CODESETS := $(VGA14-CODESETS)
VGA32x16-CODESETS := $(VGA16-CODESETS)

Arabic-legacy14-BDFS := legacy14i.bdf+legacy14f.bdf+legacy14l.bdf+legacy14b.bdf
Arabic-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16f.bdf+legacy16k.bdf
Arabic-legacy8-BDFS := legacy8f.bdf+legacy8d.bdf+legacy8i.bdf+legacy8b.bdf
CyrKoi-legacy14-BDFS := legacy14b.bdf+legacy14a.bdf+legacy14c.bdf+legacy14g.bdf
CyrKoi-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16b.bdf+legacy16a.bdf
CyrKoi-legacy8-BDFS := legacy8b.bdf+legacy8a.bdf
CyrSlav-legacy14-BDFS := legacy14a.bdf+legacy14l.bdf+legacy14c.bdf+legacy14e.bdf+legacy14i.bdf
CyrSlav-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf+legacy16b.bdf
CyrSlav-legacy8-BDFS := legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8c.bdf+legacy8f.bdf
Greek-legacy14-BDFS := legacy14g.bdf+legacy14l.bdf+legacy14b.bdf+legacy14i.bdf
Greek-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16k.bdf+legacy16c.bdf
Greek-legacy8-BDFS := legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Hebrew-legacy14-BDFS := legacy14h.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Hebrew-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16g.bdf+legacy16k.bdf+legacy16c.bdf
Hebrew-legacy8-BDFS := legacy8e.bdf+legacy8i.bdf+legacy8f.bdf+legacy8b.bdf
Lat15-legacy10-BDFS := legacy10b.bdf+legacy10a.bdf+legacy10d.bdf
Lat15-legacy12-BDFS := legacy12a.bdf+legacy12d.bdf+legacy12c.bdf
Lat15-legacy14-BDFS := legacy14i.bdf+legacy14l.bdf+legacy14a.bdf+legacy14b.bdf
Lat15-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16k.bdf+legacy16a.bdf
Lat15-legacy19-BDFS := legacy19a.bdf
Lat15-legacy8-BDFS := legacy8a.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf
Lat2-legacy10-BDFS := legacy10d.bdf+legacy10a.bdf+legacy10b.bdf
Lat2-legacy12-BDFS := legacy12c.bdf+legacy12d.bdf+legacy12a.bdf
Lat2-legacy14-BDFS := legacy14k.bdf+legacy14l.bdf+legacy14i.bdf+legacy14b.bdf
Lat2-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16c.bdf+legacy16k.bdf
Lat2-legacy8-BDFS := legacy8f.bdf+legacy8i.bdf+legacy8b.bdf
Lat38-legacy14-BDFS := legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat38-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16h.bdf+legacy16a.bdf
Lat38-legacy8-BDFS := legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Lat7-legacy14-BDFS := legacy14l.bdf+legacy14e.bdf+legacy14i.bdf+legacy14b.bdf
Lat7-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16k.bdf+legacy16c.bdf
Lat7-legacy8-BDFS := legacy8i.bdf+legacy8c.bdf+legacy8f.bdf+legacy8b.bdf
Uni1-legacy14-BDFS := legacy14a.bdf+legacy14e.bdf+legacy14f.bdf+legacy14l.bdf+legacy14h.bdf+legacy14c.bdf
Uni1-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16e.bdf+legacy16a.bdf+legacy16f.bdf+legacy16g.bdf+legacy16k.bdf+legacy16b.bdf
Uni1-legacy8-BDFS := legacy8a.bdf+legacy8c.bdf+legacy8d.bdf+legacy8i.bdf+legacy8e.bdf+legacy8b.bdf
Uni2-legacy14-BDFS := legacy14e.bdf+legacy14a.bdf+legacy14g.bdf+legacy14l.bdf+legacy14c.bdf+legacy14i.bdf
Uni2-legacy16-BDFS := u_vga16_fix.bdf+u_vga16.bdf+legacy16a.bdf+legacy16e.bdf+legacy16h.bdf+legacy16k.bdf+legacy16b.bdf
Uni2-legacy8-BDFS := legacy8a.bdf+legacy8c.bdf+legacy8i.bdf+legacy8b.bdf+legacy8f.bdf

adddouble = $(subst .bdf,-double.bdf, $(1))

Arabic-legacy32x16-BDFS := $(call adddouble, $(Arabic-legacy16-BDFS))
Armenian-legacy32x16-BDFS := $(call adddouble, $(Armenian-legacy16-BDFS))
CyrAsia-legacy32x16-BDFS := $(call adddouble, $(CyrAsia-legacy16-BDFS))
CyrKoi-legacy32x16-BDFS := $(call adddouble, $(CyrKoi-legacy16-BDFS))
CyrSlav-legacy32x16-BDFS := $(call adddouble, $(CyrSlav-legacy16-BDFS))
Ethiopian-legacy32x16-BDFS := $(call adddouble, $(Ethiopian-legacy16-BDFS))
Georgian-legacy32x16-BDFS := $(call adddouble, $(Georgian-legacy16-BDFS))
Greek-legacy32x16-BDFS := $(call adddouble, $(Greek-legacy16-BDFS))
Hebrew-legacy32x16-BDFS := $(call adddouble, $(Hebrew-legacy16-BDFS))
Lao-legacy32x16-BDFS := $(call adddouble, $(Lao-legacy16-BDFS))
Lat15-legacy32x16-BDFS := $(call adddouble, $(Lat15-legacy16-BDFS))
Lat2-legacy32x16-BDFS := $(call adddouble, $(Lat2-legacy16-BDFS))
Lat38-legacy32x16-BDFS := $(call adddouble, $(Lat38-legacy16-BDFS))
Lat7-legacy32x16-BDFS := $(call adddouble, $(Lat7-legacy16-BDFS))
Thai-legacy32x16-BDFS := $(call adddouble, $(Thai-legacy16-BDFS))
Uni1-legacy32x16-BDFS := $(call adddouble, $(Uni1-legacy16-BDFS))
Uni2-legacy32x16-BDFS := $(call adddouble, $(Uni2-legacy16-BDFS))
Uni3-legacy32x16-BDFS := $(call adddouble, $(Uni3-legacy16-BDFS))
Vietnamese-legacy32x16-BDFS := $(call adddouble, $(Vietnamese-legacy16-BDFS))

Arabic-legacy28x16-BDFS := $(call adddouble, $(Arabic-legacy14-BDFS))
Armenian-legacy28x16-BDFS := $(call adddouble, $(Armenian-legacy14-BDFS))
CyrAsia-legacy28x16-BDFS := $(call adddouble, $(CyrAsia-legacy14-BDFS))
CyrKoi-legacy28x16-BDFS := $(call adddouble, $(CyrKoi-legacy14-BDFS))
CyrSlav-legacy28x16-BDFS := $(call adddouble, $(CyrSlav-legacy14-BDFS))
Ethiopian-legacy28x16-BDFS := $(call adddouble, $(Ethiopian-legacy14-BDFS))
Georgian-legacy28x16-BDFS := $(call adddouble, $(Georgian-legacy14-BDFS))
Greek-legacy28x16-BDFS := $(call adddouble, $(Greek-legacy14-BDFS))
Hebrew-legacy28x16-BDFS := $(call adddouble, $(Hebrew-legacy14-BDFS))
Lao-legacy28x16-BDFS := $(call adddouble, $(Lao-legacy14-BDFS))
Lat15-legacy28x16-BDFS := $(call adddouble, $(Lat15-legacy14-BDFS))
Lat2-legacy28x16-BDFS := $(call adddouble, $(Lat2-legacy14-BDFS))
Lat38-legacy28x16-BDFS := $(call adddouble, $(Lat38-legacy14-BDFS))
Lat7-legacy28x16-BDFS := $(call adddouble, $(Lat7-legacy14-BDFS))
Thai-legacy28x16-BDFS := $(call adddouble, $(Thai-legacy14-BDFS))
Uni1-legacy28x16-BDFS := $(call adddouble, $(Uni1-legacy14-BDFS))
Uni2-legacy28x16-BDFS := $(call adddouble, $(Uni2-legacy14-BDFS))
Uni3-legacy28x16-BDFS := $(call adddouble, $(Uni3-legacy14-BDFS))
Vietnamese-legacy28x16-BDFS := $(call adddouble, $(Vietnamese-legacy14-BDFS))

###################################################################

# All available non-legacy font faces
NONLEGACY_FACES := Fixed13 Fixed14 Fixed15 Fixed16 \
	Fixed18 Fixed24x12 \
	FixedBold13 FixedBold14 FixedBold15 FixedBold16 \
	FixedBold18 FixedBold24x12  \
	FixedOblique13 \
	Terminus12x6 Terminus14 Terminus16 Terminus22x11 Terminus24x12 \
	Terminus18x10 Terminus20x10 Terminus28x14 Terminus32x16 \
	TerminusBold12x6 TerminusBold14 TerminusBold16 \
	TerminusBold18x10 TerminusBold20x10 \
	TerminusBold22x11 TerminusBold24x12 TerminusBold28x14 \
	TerminusBold32x16 TerminusBoldVGA14 TerminusBoldVGA16 \
	Courier13 Courier14 Courier15 Courier16 \
	CourierBold13 CourierBold14 CourierBold15 \
	Lucid12 Lucid13 Lucid15 Lucid16 Lucid22x12 Lucid29x16 \
	LucidBold11 LucidBold13 LucidBold15 \
	LucidBold16 LucidBold22x12 LucidBold29x16 \
	Goha12 Goha14 Goha16 GohaClassic12 GohaClassic14 GohaClassic16

LEGACY_FACES := VGA8 VGA10 VGA12 VGA14 VGA16 VGA19 VGA28x16 VGA32x16

FACES := $(NONLEGACY_FACES) $(LEGACY_FACES)

# 256-glyph codesets
SMALL_CODESETS := Armenian CyrAsia CyrKoi CyrSlav Georgian Greek Hebrew Lao Lat15 Lat2 Lat38 Lat7 Thai

# 256-glyph codesets which had to be compressed at the expense of semantic, and
# thus for which a Full uncompressed 512-glyph variant is useful for console
# screen readers like speakup or brltty
COMPRESSED_CODESETS := CyrAsia CyrSlav Greek

# 512-glyph codesets
LARGE_CODESETS := Arabic Ethiopian Uni1 Uni2 Uni3 Vietnamese

CODESETS := $(SMALL_CODESETS) $(LARGE_CODESETS) $(addprefix Full, $(COMPRESSED_CODESETS))

# Inside soft.Makefile the following variables are defined:
# I18N_FONT_NAMES - the names of all available fonts with enough i18n
# ENCODING_FONTSET - all sensible ENCODING - FONTSET combinations
# Use make maintainer-clean to update soft.Makefile
include $(fntdir)/soft.Makefile

# A list of all available font names
ALL_FONT_NAMES := $(sort $(foreach face, $(FACES), \
			$(addsuffix -$(face), $(CODESETS))))

# Good-looking fonts with enough i18n support
GOOD_FONT_NAMES := $(filter \
		%-Fixed13 %-Fixed14 %-Fixed15 %-Fixed16 %-Fixed18 \
		%-Terminus12x6 %-Terminus14 %-Terminus16	\
		%-Terminus22x11 %-Terminus24x12                 \
		%-Terminus18x10 %-Terminus20x10                 \
		%-Terminus28x14 %-Terminus32x16			\
		%-TerminusBold14 %-TerminusBold16		\
		%-TerminusBold18x10 %-TerminusBold20x10         \
		%-TerminusBold22x11 %-TerminusBold24x12         \
		%-TerminusBold28x14 %-TerminusBold32x16         \
		%-TerminusBoldVGA14 %-TerminusBoldVGA16         \
		%-Goha12 %-Goha14 %-Goha16 \

=== debian/changelog ===
console-setup (1.226ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2054681). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - If the locale is C during configuration, only set CHARMAP to
      ISO-8859-15 on kFreeBSD; otherwise restore the previous behaviour
      from before the kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in
      Terminus font, at multitiple sizes, and it correctly selects low/high
      dpi font size, based on screen resolution.
    - Set keymap and font in the initramfs if possible and sensible
      debian/vtrgb, debian/vtrgb.vga,
      debian/console-setup-linux.setvtrgb.service, debian/rules,
      debian/console-setup-linux.{postinst, prerm}: use Ubuntu's virtual
      terminal color scheme by default, with a VGA color scheme available
      as an alternative.
    - Handle unattended upgrades without breaking plymouth when updating
      console fonts.
    - Tolerate absence of setupcon in postinst scripts. Should be fixed by
      refactoring to not have a keyboard-configuration package that needs
      to call setupcon without depending on it.
    - Don't copy keyboard-configuration questions to /target in OEM mode.
      oem-config will ask them later, and copying these confuses it.
    - Added templates for keyboard detection
    - debian/control: drop freebsd-specific packages
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - keyboard-configuration.config: While sourcing config files to re-seed
      debconf, treat missing XKBOPTIONS as empty.
    - Fix default keyboard selection for language/country combinations
      lacking a proper combined locale.
    - debian/keyboard-configuration.config: lower the priority for the layout
      question.
    - Map ppc64el/* to XKBMODEL=pc105
    - Set default for Dutch to us(intl), not just us.
    - Set default layout for Kurdish to tr(ku)
    - Set default layout for Vietnam to 'us'
    - debian/keyboard-configuration.config: change back the french default
      layout to be fr+oss and not fr+latin9
    - debian/keyboard-configuration.config: Drop the xkb-keymap bits once
      again as we're not ready for those yet, as it's currently causing an
      invalid default layout in the installer.
    - keyboard-configuration.{config,templates}: There is no good default
      for layout toggling, stop pretending there is.  Console users can set
      one with dpkg-reconfigure or editing /etc/defaults/keyboard
    - keyboard_present.sh: Quiet config/postinst when we have no USB devices
    - debian/preprocessor: revert the removal of keyboard names (for size) of
      console-setup-udeb: we do need those, since we don't use the simplified
      xkb-keymap template from Debian just yet: this way we can still show
      country/language names when selecting a keyboard, layout or variant
    - Make COPYRIGHT a symlink to debian/copyright
    - Don't cat over the keymaps; they're already moved to the right place.
    - Include pc105.tree for ubiquity
    - Keyboard/keymaptree tool to analyze key maps
    - Add Keyboard/Makefile rule to build pc105.tree
    - debian/control: Build depend on keymapper
    - Make sure we give a meaningful name to ch layouts: "Switzerland"
      instead of "German (Switzerland), since it includes French too.
    - Keyboard/Makefile: make sure KeyboardNames.pl is built with
      accurate data from xkb-data.
    - xmlreader: Added model entry to skip model selection
    - Fix command injection in ckbcomp
    - Generate a locale locally for translating keyboard names in
      kbdnames-maker.
    - setupcon:
      - use only /run for tempfiles with /tmp as a non-root fallback.
      - handle compressed console maps and font files.
      - Map XKBMODEL=SKIP to '' for compatibility with existing
        configs.
      - the variables are taken from a config file which, if changed,
        invalidates the cache.
      - there is only ever one keyboard map per system.
      - the system should not have to resolve filenames to find the keymap
        cache on boot.
      - Explicitly exit 0, so that postinsts don't fail in the event that
        loadkeys can't find a console.
    - Add noudeb build profile

  * New changes
    - generated changes in debian/po/templates.pot
      (This is the diff produced by dpkg-buildpkg -S -sa -d.)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Mon, 26 Feb 2024 13:58:31 +0100

console-setup (1.226) unstable; urgency=medium

  * Team upload

  * setupcon: fix mistaken $((  (closes: 1063518)

 -- Philip Hands <phil@hands.com>  Fri, 09 Feb 2024 15:45:38 +0100

console-setup (1.225) unstable; urgency=medium

  * Team upload

  [ Philip Hands ]
  * eliminate use of egrep and \# (closes: #1019660)

  [ Updated translations ]
  * Catalan (ca.po) by d
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Polish (pl.po) by Matthaiks
  * Swedish (sv.po) by bittin1ddc447d824349b2
  * Turkish (tr.po) by Oğuz Ersen
  * Ukrainian (uk.po) by Сергій

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 08 Feb 2024 22:42:09 +0100

console-setup (1.223ubuntu2) noble; urgency=medium

  * Rebuild against latest xkeyboard-config

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 18 Feb 2024 18:00:50 -0500

console-setup (1.223ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2049885). Remaining changes:
    - debian/clean: Delete Keyboard/tree-keymaps/ on clean
    - Add an apport hook
    - If the locale is C during configuration, only set CHARMAP to
      ISO-8859-15 on kFreeBSD; otherwise restore the previous behaviour
      from before the kFreeBSD port of using UTF-8 in that case.
    - Do not set default FONTFACE or FONTSIZE for Lat15, kernel has built-in


=== debian/control ===
Source: console-setup
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
Uploaders: Anton Zinoviev <zinoviev@debian.org>
Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils, keymapper
Build-Depends: perl, debhelper (>= 9.20160709), po-debconf, libxml-parser-perl, bdfresize, liblocale-gettext-perl, unifont, unifont-bin
Standards-Version: 3.9.1
Vcs-Browser: https://salsa.debian.org/installer-team/console-setup
Vcs-Git: https://salsa.debian.org/installer-team/console-setup.git

Package: keyboard-configuration
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, liblocale-gettext-perl, xkb-data (>= ${xkb-data:Version}~), xkb-data (<< ${xkb-data:Version}A)
Pre-Depends: debconf | debconf-2.0
Breaks: console-setup (<< 1.71), console-setup-mini (<< 1.47)
Replaces: console-setup (<< 1.47), console-setup-mini (<< 1.47)
Description: system-wide keyboard preferences
 This package maintains the keyboard preferences in
 /etc/default/keyboard.  Other packages can use the information
 provided by this package in order to configure the keyboard on the
 console or in X Window.

Package: console-setup
Architecture: all
Multi-Arch: foreign
Pre-Depends: debconf | debconf-2.0
Depends: console-setup-linux | console-setup-freebsd | hurd, xkb-data (>= 0.9), keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6), locales
Conflicts: console-setup-mini
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 The package also installs console fonts supporting many of the
 world's languages.  It provides an unified set of font faces - the
 classic VGA, the simplistic Fixed, and the cleaned Terminus,
 TerminusBold and TerminusBoldVGA.

Package: console-setup-mini
Architecture: all
Multi-Arch: foreign
Recommends: kbd | console-tools
Depends: console-setup-linux | console-setup-freebsd, debconf (>= 0.5) | debconf-2.0, keyboard-configuration (= ${source:Version}), ${misc:Depends}
Suggests: lsb-base (>= 3.0-6)
Conflicts: console-setup
Breaks: lsb-core (<< 2.0-6), lsb (<< 2.0-6), lsb-base (<< 3.0-6)
Description: console font and keymap setup program - reduced version for Linux
 This package provides the console with the same keyboard
 configuration scheme as the X Window System. As a result, there is no
 need to duplicate or change the keyboard files just to make simple
 customizations such as the use of dead keys, the key functioning as
 AltGr or Compose key, the key(s) to switch between Latin and
 non-Latin mode, etc.
 .
 This package can be useful for handhelds or other devices with small
 storage space.

Package: console-setup-linux
Architecture: all
Multi-Arch: foreign
Depends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), keyboard-configuration (= ${source:Version}), ${misc:Depends}, init-system-helpers (>= 1.29~) | initscripts
Suggests: console-setup
Conflicts: console-setup-freebsd
Breaks: console-terminus, console-cyrillic (<= 0.9-11), console-setup (<< 1.71)
Replaces: console-terminus, console-setup (<< 1.71)
Provides: console-terminus
Description: Linux specific part of console-setup
 This package includes fonts in psf format and definitions of various
 8-bit charmaps.

Package: bdf2psf
Architecture: all
Multi-Arch: foreign
Depends: perl, ${misc:Depends}
Description: font converter to generate console fonts from BDF source fonts
 This package provides a command-line converter that can be used in
 scripts to build console fonts from BDF sources automatically. The
 converter comes with a collection of font encodings that cover many
 of the world's languages. The output font can use a different
 character encoding from the input. When the source font does not
 define a glyph for a particular symbol in the encoding table, that
 glyph position in the console font is not wasted but used for another
 symbol.
 .
 When deciding about the position in the font for a particular glyph,
 the converter takes into account that in text video modes the video
 adapter copies the eighth column of the glyph matrix of symbols
 positioned in the pseudographic area to the ninth column. In order to
 create fonts for text video modes, the width of the glyph matrix of
 the source BDF font should be seven, eight, or nine pixels; otherwise the
 converter creates fonts suitable for framebuffer only.

Package: console-setup-udeb
Section: debian-installer
Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
Provides: keyboard-setup
Architecture: all
Description: Configure the keyboard
 Keyboard configurator for Debian Installer based on console-setup
Package-Type: udeb
Build-Profiles: <!noudeb>
XB-Installer-Menu-Item: 1200

Package: console-setup-amiga-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Amiga keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-ataritt-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Atari TT keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-pc-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for PC keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-sun4-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun4 keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-sun5-ekmap
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded Linux keyboard layouts for Sun5 keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-pc-ekbd
Provides: console-setup-ekmap
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: encoded FreeBSD keyboard layouts for PC keyboards
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-linux-fonts-udeb
Section: debian-installer
Depends: ${misc:Depends}, kbd-udeb
Architecture: all
Description: Linux console fonts for Debian Installer
Package-Type: udeb
Build-Profiles: <!noudeb>

Package: console-setup-linux-charmaps-udeb
Section: debian-installer
Depends: ${misc:Depends}
Architecture: all
Description: Linux 8-bit charmaps for console-setup-udeb
Package-Type: udeb
Build-Profiles: <!noudeb>

=== debian/rules ===
#!/usr/bin/make -f

include Makefile

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  NUMJOBS := $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
  MAKEFLAGS += -j$(NUMJOBS)
endif

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

xkbdir := /usr/share/X11/xkb
xkb_data_version = $(shell dpkg-query -W -f '$${source:Version}' xkb-data | cut -d - -f 1)

pre := debian/preprocessor
manprocessor := sed \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local/etc|\1 /etc|' \
	-e 's|^\([.a-zA-Z][a-zA-Z]*\) /usr/local|\1 /usr|'

# One font per fontset supported by d-i in text console
udeb-fonts := CyrAsia-Fixed16 CyrSlav-TerminusBold16 Greek-VGA16 \
Lat15-TerminusBold16 Lat2-TerminusBold16 Lat38-VGA16 Lat7-TerminusBold16
# These are Linux-only
udeb-fonts-big :=

# These are not properly supported by d-i in text console, but
# included for completeness for speakup & brltty screen reading
udeb-fonts += Armenian-Fixed16 Georgian-Fixed16 Hebrew-VGA16 Lao-Fixed16 Thai-Fixed16
udeb-fonts-big += Arabic-VGA16 Ethiopian-Goha16 Vietnamese-Fixed16

# These are needed for proper text screen reading by speakup and brltty
udeb-fonts-big += FullCyrAsia-Fixed16 FullCyrSlav-TerminusBold16 FullGreek-VGA16

# This is not useful (KOI8-R encoding)
# CyrKoi-TerminusBold16

# These are not useful (convered by fonts above)
# Uni1-VGA16 Uni2-VGA16 Uni3-Fixed16

# One fontset per charmap
udeb-scm := $(addprefix Fonts/, ARMSCII-8_Armenian.scm			\
CP1251_CyrSlav.scm CP1255_Hebrew.scm GEORGIAN-ACADEMY_Georgian.scm	\
GEORGIAN-PS_Georgian.scm IBM1133_Lao.scm ISO-8859-1_Lat15.scm		\
ISO-8859-2_Lat2.scm ISO-8859-3_Lat38.scm ISO-8859-4_Lat7.scm		\
ISO-8859-4_Lat15.scm ISO-8859-5_CyrSlav.scm ISO-8859-7_Greek.scm	\
ISO-8859-8_Hebrew.scm ISO-8859-9_Lat15.scm ISO-8859-10_Lat15.scm	\
ISO-8859-11_Thai.scm ISO-8859-13_Lat7.scm ISO-8859-14_Lat38.scm		\
ISO-8859-15_Lat15.scm ISO-8859-16_Lat2.scm KOI8-R_CyrKoi.scm		\
KOI8-U_CyrKoi.scm TIS-620_Thai.scm)

udeb-fonts-linux = $(addprefix Fonts/, $(addsuffix .psf.gz, \
			$(udeb-fonts) $(udeb-fonts-big)))
udeb-fonts-freebsd = $(addprefix Fonts/, $(addsuffix .fnt, $(udeb-fonts)))

debian/kbdnames.gz: $./Keyboard/KeyboardNames.pl
	( cd Keyboard \
	&& ./kbdnames-maker ./KeyboardNames.pl \
		| grep -v '^C[*]' | grep -v '[*]model[*]' | sort | gzip -9n ) >$@

build: debian/kbdnames.gz

clean : maintainer-clean
	dh_testdir
	-rm -f *.ekmap *.ekbd *.ekmap.gz *.ekbd.gz
	debconf-updatepo
	-rm -f build main_build building_debian
	-rm -f debian/kbdnames.gz
	-rm -f debian/*~
	dh_clean
	ln -sf debian/copyright COPYRIGHT

.PHONY : deb-udeb-install
deb-udeb-install: deb-install-linux deb-install-main deb-install-bdf2psf $(if $(with_udeb),udeb-install-linux udeb-install)

.PHONY : deb-install-linux
deb-install-linux: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-linux
	$(MAKE) etcdir=debian/console-setup-linux/etc \
		prefix=debian/console-setup-linux/usr install-common-linux
	dh_install -p console-setup-linux \
		init/90-console-setup.rules lib/udev/rules.d/
	dh_install -p console-setup-linux \
		init/keyboard-setup.sh lib/console-setup/
	dh_install -p console-setup-linux \
		init/console-setup.sh lib/console-setup/
	dh_systemd_enable -p console-setup-linux \
		--name keyboard-setup
	dh_systemd_enable -p console-setup-linux \
		--name console-setup
	dh_systemd_enable -p console-setup-linux \
		--name setvtrgb
	dh_installinit -p console-setup-linux \
		--no-start --name keyboard-setup.sh
	dh_installinit -p console-setup-linux \
		--no-start --name console-setup.sh
	dh_installinit -p console-setup-linux \
		--no-start --name setvtrgb
	dh_systemd_start -p console-setup-linux \
		--no-start --name keyboard-setup
	dh_systemd_start -p console-setup-linux \
		--no-start --name console-setup
	dh_systemd_start -p console-setup-linux \
		--no-start --name setvtrgb
	sed -i 's/RUNLEVEL/2 3 4 5/' \
		debian/console-setup-linux/etc/init.d/console-setup.sh

.PHONY : deb-install-freebsd
deb-install-freebsd: build
	dh_testdir
	dh_testroot
	dh_prep -p console-setup-freebsd
	$(MAKE) etcdir=debian/console-setup-freebsd/etc \
		prefix=debian/console-setup-freebsd/usr install-common-freebsd
	dh_install -p console-setup-freebsd \
		init/keyboard-setup.sh lib/console-setup/
	dh_install -p console-setup-freebsd \
		init/console-setup.sh lib/console-setup/
	dh_systemd_enable -p console-setup-freebsd \
		--name keyboard-setup
	dh_systemd_enable -p console-setup-freebsd \
		--name console-setup
	dh_installinit -p console-setup-freebsd \
		--no-start --name keyboard-setup.sh
	dh_installinit -p console-setup-freebsd \
		--no-start --name console-setup.sh
	dh_systemd_start -p console-setup-freebsd \
		--no-start --name keyboard-setup
	dh_systemd_start -p console-setup-freebsd \
		--no-start --name console-setup
	sed -i 's/RUNLEVEL/S/' \
		debian/console-setup-freebsd/etc/init.d/console-setup.sh

.PHONY : deb-install-main
deb-install-main: build
	dh_testdir
	dh_testroot
	dh_prep -pkeyboard-configuration
	dh_prep -p console-setup
	dh_prep -p console-setup-mini
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-common
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install-ckbcomp
	dh_install -pconsole-setup Keyboard/pc105.tree \
		usr/share/console-setup
ifneq (,$(filter console-setup-linux, $(shell dh_listpackages)))
	install -m 644 debian/vtrgb debian/console-setup-linux/etc/console-setup/
	install -m 644 debian/vtrgb.vga debian/console-setup-linux/etc/console-setup/
endif
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-common
	$(MAKE) etcdir=debian/console-setup-mini/etc \
		prefix=debian/console-setup-mini/usr install-ckbcomp-mini
	$(pre) --mini debian/console-setup-mini/bin/setupcon
	$(pre) --mini debian/console-setup-mini/usr/bin/ckbcomp-mini
	ls debian/console-setup/usr/share/man/*/* \
	   debian/console-setup-mini/usr/share/man/*/* \
		| xargs -n 1 $(manprocessor) -i
	install -d debian/keyboard-configuration/usr/share/console-setup/
	mv debian/console-setup/etc/default/keyboard \
		debian/keyboard-configuration/usr/share/console-setup/
	install -d debian/console-setup/usr/share/console-setup/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/console-setup/
	rm debian/console-setup-mini/etc/default/keyboard
	rm debian/console-setup-mini/etc/default/console-setup
	dh_movefiles -pkeyboard-configuration --sourcedir=debian/console-setup \
		usr/share/man/man5/keyboard.5
	rm debian/console-setup-mini/usr/share/man/man5/keyboard.5
# For KeyboardNames.pl and kbdnames-maker see #420914
	dh_install -pkeyboard-configuration Keyboard/KeyboardNames.pl \
		usr/share/console-setup/
	dh_install -pkeyboard-configuration Keyboard/kbdnames-maker \
		usr/share/console-setup/
	dh_link -pkeyboard-configuration usr/share/X11/xkb/rules/xorg.lst \
		usr/share/doc/keyboard-configuration/xorg.lst
	install -d debian/keyboard-configuration/usr/share/initramfs-tools/hooks \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic
	install -m755 debian/console-setup.initramfs-hook \
		debian/keyboard-configuration/usr/share/initramfs-tools/hooks/console_setup
	install -m755 debian/console-setup.initramfs-top \
		debian/keyboard-configuration/usr/share/initramfs-tools/scripts/init-top/console_setup
	sed -e "/^OPTION=/d" \
		< debian/console-setup.initramfs-top \
		> debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
	chmod 755 debian/keyboard-configuration/usr/share/initramfs-tools/scripts/panic/console_setup
	install -d debian/keyboard-configuration/usr/share/apport/package-hooks
	install -m644 debian/console-setup.apport \
		debian/keyboard-configuration/usr/share/apport/package-hooks/source_console-setup.py

.PHONY : deb-install-bdf2psf
deb-install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_prep -pbdf2psf

## console-setup 1.226ubuntu1trisquel6

=== debian/changelog ===
console-setup (1.226ubuntu1trisquel6) ecne; urgency=medium

  * Rebuild upstream to get udeb dependency for debian-installer.
    Default to UTF-8

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 09:52:29 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: console-setup
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
 XSBC-Original-Maintainer: Debian Install System Team <debian-boot@lists.debian.org>
 Uploaders: Anton Zinoviev <zinoviev@debian.org>
 Build-Depends-Indep: xkb-data (>= 1.6), locales-all, sharutils, keymapper
@@ -100,7 +100,7 @@
 
 Package: console-setup-udeb
 Section: debian-installer
-Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, cdebconf-newt-detect-keys, ${misc:Depends}
+Depends: archdetect, cdebconf-udeb, kbd-udeb | kbdcontrol-udeb | hurd-udeb, ${misc:Depends}
 Provides: keyboard-setup
 Architecture: all
 Description: Configure the keyboard

## console-setup 1.226ubuntu2

=== debian/changelog ===
console-setup (1.226ubuntu2) oracular; urgency=medium

  * Source-only upload to rebuild against new xkb-data version

 -- Agathe Porte <agathe.porte@canonical.com>  Wed, 03 Jul 2024 15:45:33 +0200

## console-setup 1.226ubuntu3

=== Keyboard/Makefile ===
kbddir ?= $(shell pwd)
include $(kbddir)/../rules.mk

# The following two shortcuts will be redefined, so they can not be
# used in recipes and target specific variables.
. := $(kbddir)
~ := kbd

gzipped-ekmaps := $./amiga.ekmap.gz $./ataritt.ekmap.gz		\
		$./pc105.ekmap.gz	\
		$./sun4.ekmap.gz $./sun5.ekmap.gz

gzipped-ekbds := $./pc105.ekbd.gz

xkbdir ?= /usr/share/X11/xkb

%.tree : %.ekmap.gz $./keymaptree.use
	(cd $(kbddir) && set -x && \
		./keymaptree -output $@ -useonly "$$(cat $./Keyboard/keymaptree.use | grep -v '^#' | xargs | sed 's/ /,/g')" -names ./KeyboardNames.pl $(notdir $(@:%.tree=%)))

$./%.ekmap : model = $(notdir $(@:%.ekmap=%))
$./%.ekmap :
	(cd $(kbddir) && \
		./kbdcompiler $(model) ./KeyboardNames.pl $(xkbdir)) >$@

$./%.ekbd : model = $(notdir $(@:%.ekbd=%))
$./%.ekbd :
	(cd $(kbddir) && \
		./kbdcompiler freebsd-$(model) ./KeyboardNames.pl $(xkbdir)) >$@

$./charmap_functions.sh : $(acmfiles)
	$(kbddir)/make_charmap_functions $(kbddir)/../acm $(charmaps) >$@

acmfiles := $(sort $(wildcard $./../acm/*.acm))

charmaps := $(basename $(notdir $(acmfiles)))

compose_files := $(addprefix $./compose.,$(addsuffix .inc, $(charmaps)))
dkey_files := $(addprefix $./dkey.,$(addsuffix .inc, $(charmaps)))

$(compose_files): charmap = $(patsubst compose.%.inc,%, $(notdir $@))
$(dkey_files): charmap = $(patsubst dkey.%.inc,%, $(notdir $@))
$(compose_files) $(dkey_files): acmfile = $(kbddir)/../acm/$(charmap).acm

VISCII-XCOMPOSE := $./locale/vi_VN.viscii/Compose
ISO-8859-1-XCOMPOSE := $./locale/iso8859-1/Compose
ISO-8859-2-XCOMPOSE := $./locale/iso8859-2/Compose
ISO-8859-3-XCOMPOSE := $./locale/iso8859-3/Compose
ISO-8859-4-XCOMPOSE := $./locale/iso8859-4/Compose
ISO-8859-7-XCOMPOSE := $./locale/iso8859-7/Compose
ISO-8859-9-XCOMPOSE := $./locale/iso8859-9/Compose
ISO-8859-13-XCOMPOSE := $./locale/iso8859-13/Compose
ISO-8859-14-XCOMPOSE := $./locale/iso8859-14/Compose
ISO-8859-15-XCOMPOSE := $./locale/iso8859-15/Compose
KOI8-R-XCOMPOSE := $./locale/koi8-c/Compose
KOI8-U-XCOMPOSE := $./locale/koi8-c/Compose

$(compose_files) :
	echo '# Compose sequences for $(charmap)' >$@
	$(if $($(charmap)-XCOMPOSE), \
		$(kbddir)/compose_translator --acm $(acmfile) \
			$($(charmap)-XCOMPOSE) >>$@)

$(dkey_files) : $(kbddir)/dkey_sequences
	$(kbddir)/dkey_bsd $(acmfile) $(kbddir)/dkey_sequences >$@

build-common .PHONY : compose-files dkey-files
compose-files : $(compose_files)
dkey-files : $(dkey_files)
build-mini-linux : gzipped-ekmaps $./charmap_functions.sh $./pc105.tree
.PHONY : gzipped-ekmaps
gzipped-ekmaps : $(gzipped-ekmaps)
build-mini-freebsd : gzipped-ekbds $./charmap_functions.sh
.PHONY : gzipped-ekbds
gzipped-ekbds : $(gzipped-ekbds)

kbdcleanfiles := $(wildcard $./*~ $./*.ekmap $./*.ekbd)			\
		$./linux-keymaps $./freebsd-keymaps $./keymaps		\
		$./ckbcomp.log $./keymaps.dir $./names.list		\
		$./charmap_functions.sh $./compose $(compose_files)	\
		$(dkey_files) $(gzipped-ekmaps) $(gzipped-ekbds)

clean .PHONY : $~clean
$~clean:
	-rm -rf $(kbdcleanfiles)
	-rm -f *.tree

maintainer-clean .PHONY : $~maintainer-clean
$~maintainer-clean: $~clean
	cd $(kbddir) && ./xmlreader $(xkbdir)/rules/xorg.xml >KeyboardNames.pl

KeyboardNames.pl $./KeyboardNames.pl:
	$(kbddir)/xmlreader $(xkbdir)/rules/base.xml >$@

=== debian/changelog ===
console-setup (1.226ubuntu3) plucky; urgency=medium

  [ Alexander Amelkin ]
  * setupcon: fix logic that finds the font file to avoid duplication
    (LP: #2086110)

 -- Andreas Hasenack <andreas@canonical.com>  Fri, 10 Jan 2025 14:31:46 -0300

=== debian/rules ===
--- 
+++ 
@@ -68,7 +68,7 @@
 	-rm -f build main_build building_debian
 	-rm -f debian/kbdnames.gz
 	-rm -f debian/*~
-	dh_clean
+#	dh_clean
 	ln -sf debian/copyright COPYRIGHT
 
 .PHONY : deb-udeb-install

## console-setup 1.231

=== debian/changelog ===
console-setup (1.231) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * Greek (el.po) by mpt.c
  * Hindi (hi.po) by AYUSHMAN TIWARI
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Georgian (ka.po) by Temuri Doghonadze
  * Latvian (lv.po) by GGLVXD
  * Norwegian Bokmal (nb.po) by Petter Reinholdtsen
  * Turkish (tr.po) by Fatih Altun
  * Simplified Chinese (zh_CN.po) by Zi Jiaxu

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 20 Oct 2024 21:29:35 +0200

console-setup (1.230) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * DEP17: Move aliased files to /usr. Closes: #1064299.

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 11 Jul 2024 19:05:44 +0200

console-setup (1.229) unstable; urgency=medium

  [ Samuel Thibault ]
  * Fonts/bdf2psf: Avoid numerous >32bit portability warning.

  [ Holger Wansing ]
  * Stop building kfreebsd packages (arch has been removed from the archive).
    Closes: #619328.

  [ Updated translations ]
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 06 Jul 2024 13:23:37 +0200

console-setup (1.228) unstable; urgency=medium

  [ Steve Langasek ]
  * setupcon: use /run for tempfiles (and dump the various unnecessary
    fallback paths), since /run is always mountable rw at least as early as
    /tmp is and is guaranteed to be safe from tmpcleaners at boot.  Only keep
    /tmp as a fallback in case we have access to write to /tmp and to a
    console, but not to /run.  LP: #1824227. Closes: Bug#1072204.

  [ Cyril Brulebois ]
  * Rebuild against newer xkb-data (closes: #1073857), with thanks to
    Christian Stewart for the bug report.

  [ Updated translations ]
  * Georgian (ka.po) by Temuri Doghonadze
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes

 -- Cyril Brulebois <kibi@debian.org>  Thu, 20 Jun 2024 00:43:24 +0200

console-setup (1.227) unstable; urgency=medium

  * Team upload

  [ Jakub Wilk ]
  * typos in documentation (closes: 1065561)

  [ Samuel Thibault ]
  * Fix key types, notably altgr not working with shift.
  * Add dejavu fonts rasterized from the DejaVu vector font. This notably
    provides fonts larger than 32 pixels, usable with linux ≥ 6.9.
    (closes: 816111)
  * rules,control: Add unifont and fonts-dejavu-mono to console-setup-linux
    and console-setup-freebsd's Static-built-Using.
  * console-setup.config, font-switch: Avoid warning on systems that don't
    have lsmod (closes: 1071823)

 -- Holger Wansing <hwansing@mailbox.org>  Thu, 30 May 2024 10:54:36 +0200

## console-setup 1.232

=== debian/changelog ===
console-setup (1.232) unstable; urgency=medium

  [ Updated translations ]
  * Hungarian (hu.po) by Szia Tomi

 -- Cyril Brulebois <kibi@debian.org>  Sat, 02 Nov 2024 21:21:36 +0100

## console-setup 1.233

=== debian/changelog ===
console-setup (1.233) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Estonian (et.po) by Kristjan Räts
  * Persian (fa.po) by peylight
  * French (fr.po) by Baptiste Jammet
  * Galician (gl.po) by Víctor Posada
  * Hungarian (hu.po) by Szia Tomi
  * Icelandic (is.po) by Sveinn í Felli
  * Japanese (ja.po) by Sadaharu Wakisaka
  * Occitan (oc.po) by Quentin PAGÈS
  * Russian (ru.po) by Yuri Kozlov
  * Simplified Chinese (zh_CN.po) by Weng Qizhi

 -- Holger Wansing <hwansing@mailbox.org>  Fri, 29 Nov 2024 22:30:53 +0100

## console-setup 1.234

=== debian/changelog ===
console-setup (1.234) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Arabic (ar.po) by Maytham
  * Belarusian (be.po) by vics
  * Persian (fa.po) by Danial Behzadi
  * Finnish (fi.po) by Ricky Tigg
  * Italian (it.po) by Milo Casagrande
  * Korean (ko.po) by Changwoo Ryu
  * Marathi (mr.po) by omwani
  * Polish (pl.po) by Matthaiks
  * Romanian (ro.po) by Remus-Gabriel Chelu
  * Tamil (ta.po) by தமிழ்நேரம்

 -- Holger Wansing <hwansing@mailbox.org>  Sun, 02 Feb 2025 22:19:40 +0100

## console-setup 1.235

=== debian/changelog ===
console-setup (1.235) unstable; urgency=medium

  * Team upload

  [ Samuel Thibault ]
  * Advertise DejaVu fonts.
  * Regenerate/update documentation ('Hackers Guide for console-setup').

  [ Updated translations ]
  * Arabic (ar.po) by Amr Walryh
  * Catalan (ca.po) by poc senderi
  * Estonian (et.po) by Priit Jõerüüt
  * Hebrew (he.po) by Yaron Shahrabani
  * Hungarian (hu.po) by Szia Tomi
  * Icelandic (is.po) by Sveinn í Felli
  * Japanese (ja.po) by Sadaharu Wakisaka
  * Georgian (ka.po) by Temuri Doghonadze
  * Lithuanian (lt.po) by Rimas Kudelis
  * Dutch (nl.po) by Frans Spiesschaert
  * Polish (pl.po) by Matthaiks
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by Adriano Rafael Gomes
  * Romanian (ro.po) by Vasile Cristian-Ilie
  * Serbian (sr.po) by Мирослав Николић
  * Swedish (sv.po) by Anders Jonsson
  * Turkish (tr.po) by Fatih Altun
  * Ukrainian (uk.po) by Hotripak
  * Vietnamese (vi.po) by Dagon Vn

 -- Holger Wansing <hwansing@mailbox.org>  Sat, 08 Mar 2025 23:10:52 +0100

## console-setup 1.236

=== debian/changelog ===
console-setup (1.236) unstable; urgency=medium

  * Team upload

  [ Updated translations ]
  * Czech (cs.po) by Miroslav Kure
  * German (de.po) by Holger Wansing
  * Spanish (es.po) by Francisco Javier Carro Orgeira
  * French (fr.po) by Baptiste Jammet
  * Galician (gl.po) by Parodper
  * Croatian (hr.po) by Valentin Vidic
  * Hungarian (hu.po) by Szia Tomi
  * Indonesian (id.po) by Andika Triwidada
  * Latvian (lv.po) by Tranzistors
  * Marathi (mr.po) by Kalyani Kenekar
  * Uyghur (ug.po) by Abduqadir Abliz
  * Simplified Chinese (zh_CN.po) by Boyuan Yang

 -- Holger Wansing <hwansing@mailbox.org>  Tue, 01 Apr 2025 00:53:02 +0200

## console-setup 1.237

=== debian/changelog ===
console-setup (1.237) unstable; urgency=medium

  [ Updated translations ]
  * Korean (ko.po) by Changwoo Ryu

 -- Cyril Brulebois <kibi@debian.org>  Tue, 13 May 2025 15:18:09 +0200
